## org.eclipse.jst.jsf.core.jsflibraryconfiguration
Enum JSFVersion

    java.lang.Object
      java.lang.Enum<JSFVersion>
          org.eclipse.jst.jsf.core.jsflibraryconfiguration.JSFVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JSFVersion>

Deprecated.

    public enum JSFVersion

extends java.lang.Enum<JSFVersion>

Enumeration of JavaServer Faces Versions

Provisional API - subject to change

Enum Constant Summary
`UNKNOWN` Deprecated. Unknown version support
`V1_0` Deprecated. Supports JSF Version 1.0
`V1_1` Deprecated. Supports JSF Version 1.1
`V1_2` Deprecated. Supports JSF Version 1.1

Method Summary
`static JSFVersion` `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static JSFVersion[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final JSFVersion UNKNOWN

  Deprecated.
  Unknown version support

### V1_0

    public static final JSFVersion V1_0

  Deprecated.
  Supports JSF Version 1.0

### V1_1

    public static final JSFVersion V1_1

  Deprecated.
  Supports JSF Version 1.1

### V1_2

    public static final JSFVersion V1_2

  Deprecated.
  Supports JSF Version 1.1

Method Detail

### values

    public static JSFVersion[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JSFVersion c : JSFVersion.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JSFVersion valueOf(java.lang.String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null